API Reference
Change visibility of a public API
Path Parameters
publicApiId*string
Format
uuidHeader Parameters
X-Org-Id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://loading/api-management/cli/v1/public-apis/497f6eca-6276-4993-bfeb-53cbbbba6f08/visibility" \ -H "X-Org-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "visibility": "DRAFT" }'{
"publicApiId": "6cdb160e-37b9-4802-86c1-ee5fed60dba5",
"orgSlug": "string",
"apiSlug": "string",
"title": "string",
"description": "string",
"visibility": "string",
"latestVersion": "string",
"publishedAt": "string",
"updatedAt": "string",
"orgVerified": true,
"verifiedDomain": "string"
}{
"status": 0,
"title": "string",
"detail": "string"
}{
"status": 0,
"title": "string",
"detail": "string"
}